Jump to:

7939 Posts in 1472 Topics by 944 members

DataObjectManager Module

SilverStripe Forums » DataObjectManager Module » DataObject, Image Gallery Install Frustration

Discuss the DataObjectManager module, and the related ImageGallery module.

Moderators: martimiz, UncleCheese, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 845 Views
  • shluckey
    Avatar
    Community Member
    19 Posts

    DataObject, Image Gallery Install Frustration Link to this post

    I'm using SS Version 3.

    I've been here and followed this to install http://www.silverstripe.org/dataobjectmanager-module-forum/show/11205. Tried getting the files from here and github.

    HOWEVER

    I cannot for the life of me get this thing to work. First off i had problems with the DataObjectModule. When i re-build the database I get an error telling me a deprecation error has occured in framework file. The rebuild stops at Email_bouncerecord and gives me a lot of errors. I remedied this by deleting the raise error php code and managed to get the database to rebuild. (Something to do with checking the live version.)

    Uploadify installed fine.

    The Image gallery installed fine. EXCEPT

    When I go to make a new image gallery page I get this error

    *Warning: "Missing argument 1 for ImageGalleryPage::getCMSFields(), called in /Applications/MAMP/htdocs/framework/admin/code/LeftAndMain.php on line 922 and defined" at line 122 of /Applications/MAMP/htdocs/image_gallery/code/ImageGalleryPage.php*

    And I also get this error when I go to the edit image/falls tab on the left of the main screen.

    *Error: "FieldList::addFieldToTab() Tried to add a tab to object 'FieldList' - 'Root' didn't exist." at line 288 of /Applications/MAMP/htdocs/framework/forms/FieldList.php*

    I really want to get the Image Gallery working it sounds amazing.

    Any help would be much appreciated

  • shluckey
    Avatar
    Community Member
    19 Posts

    Re: DataObject, Image Gallery Install Frustration Link to this post

    additional:

    this is the error from the dataobject_manager install

    *Notice: "DataObjectDecorator->__construct is deprecated. Use DataExtension instead. Called from ReflectionClass->newInstance." at line 155 of /Applications/MAMP/htdocs/framework/dev/Deprecation.php*

    I'm pretty sure this is the causing all the problems

  • Fuzz10
    Avatar
    Community Member
    786 Posts

    Re: DataObject, Image Gallery Install Frustration Link to this post

    I don't think UncleCheeses modules are compatible with SS3 (yet).

  • shluckey
    Avatar
    Community Member
    19 Posts

    Re: DataObject, Image Gallery Install Frustration Link to this post

    I thought that might be the case given the compatibility on the download pages. Is there anywhere I can get an older version of ss 2.3/2.4 or will I have to wait until they become compatible.

    Thank you

  • Fuzz10
    Avatar
    Community Member
    786 Posts
    845 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.